#### D.14.6.4 PH_nais

Procedure from library `phindex.lib` (see phindex_lib).

Usage:
  PH_nais(I); I ideal of coordinates of the vector field.

Return:
  the Poincare-Hopf index of type int.

Note:
  the vector field must be a non algebraically isolated singularity at 0, with reduced complex zeros of codimension 1.

Theory:
  Suppose that 0 is an algebraically isolated singularity of the real analytic vector field X, geometrically this corresponds to the fact that the complexified vector field has positive dimension singular locus, algebraically this mean that the local ring Qx=R[[x1..xn]]/Ix where R[[x1,..,xn]] is the ring of germs at 0 of real-valued analytic functions on R^n, and Ix is the ideal generated by the components of X is infinite dimensional as real vector space. In the case that X has a reduced hypersurface as complex zeros we have the next. There exist a real analytic function f:R^n-->R, and a real analytic vector field Y s. t. X=fY. The function f does not change of sign out of 0 and
  Mx=R[[x1..xn]]/(Ix : radical(Ix))
  is a finite dimensional sub-algebra of Qx. The Poincare-Hopf index of X at 0 is the sign of f times the signature of the non degenerate bilinear form <,> obtained by composition of the product in the algebra Mx with a linear functional map
  <,> : (Mx)x(Mx) ---(.)--> Mx ---(L)--> R
  with L(Jp)>0, where Jp is the residue class of the Jacobian determinant of X, JX, over f^n, JX/(f^n) in Mx. Here, we use a natural linear functional defined as follows. Suppose that E={E_1,..E_r} is a basis of Mx, then Jp is writing as Jp=a_1E_{j1}+...+a_kE_{jk}, js\in {1...r}, s=1..k, k<=r, where a_s are constant. The linear functional L:M--->R is defined as L(E_{j1})=(a_1)/|a_1|=sign of a_1,
  the other elements of the base are sent to 0.
  Refs. -Castellanos-Vargas, V., Una formula algebraica del indice de Poincare-Hopf para campos vectoriales reales con una variedad de ceros complejos, Ph. D. thesis CIMAT (2000), chapther 1, Guanajuato Mexico.
  -Castellanos -Vargas, V. The index of non algebraically isolated singularity, Bol. Soc. Mat. Mexicana, (3)
  Vol. 8, 2002, 141-147.

Example:

    LIB "phindex.lib";
    ring r=0,(x,y,z),ds;
    ideal I=x5-2x3y2-3xy4+x3z2-3xy2z2,-3x4y-2x2y3+y5-3x2yz2+y3z2,x2z3+y2z3+z5;
    PH_nais(I);
    ==> -3

User manual for Singular version 4.4.1, 2025, generated by texi2html.